Axis2/C: configuration

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# configuration
[engine]

## Typedefs
typedef struct axis2_conf | axis2_conf_t
## Functions
AXIS2_EXTERN void | axis2_conf_free (axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_add_svc_grp (axis2_conf_t *conf, const axutil_env_t *env, struct axis2_svc_grp *svc_grp)
AXIS2_EXTERN struct axis2_svc_grp * | axis2_conf_get_svc_grp (const axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *svc_grp_name)
AXIS2_EXTERN axutil_hash_t * | axis2_conf_get_all_svc_grps (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_add_svc (axis2_conf_t *conf, const axutil_env_t *env, struct axis2_svc *svc)
AXIS2_EXTERN struct axis2_svc * | axis2_conf_get_svc (const axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *svc_name)
AXIS2_EXTERN axis2_status_t | axis2_conf_remove_svc (axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axis2_status_t | axis2_conf_add_param (axis2_conf_t *conf, const axutil_env_t *env, axutil_param_t *param)
AXIS2_EXTERN axutil_param_t * | axis2_conf_get_param (const axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axutil_array_list_t * | axis2_conf_get_all_params (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_conf_is_param_locked (const axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axis2_transport_in_desc_t * | axis2_conf_get_transport_in (const axis2_conf_t *conf, const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS trans_enum)
AXIS2_EXTERN axis2_status_t | axis2_conf_add_transport_in (axis2_conf_t *conf, const axutil_env_t *env, axis2_transport_in_desc_t *transport, const AXIS2_TRANSPORT_ENUMS trans_enum)
AXIS2_EXTERN axis2_transport_out_desc_t * | axis2_conf_get_transport_out (const axis2_conf_t *conf, const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS trans_enum)
AXIS2_EXTERN axis2_status_t | axis2_conf_add_transport_out (axis2_conf_t *conf, const axutil_env_t *env, axis2_transport_out_desc_t *transport, const AXIS2_TRANSPORT_ENUMS trans_enum)
AXIS2_EXTERN axis2_transport_in_desc_t ** | axis2_conf_get_all_in_transports (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_transport_out_desc_t ** | axis2_conf_get_all_out_transports (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_module_desc * | axis2_conf_get_module (const axis2_conf_t *conf, const axutil_env_t *env, const axutil_qname_t *qname)
AXIS2_EXTERN axutil_array_list_t * | axis2_conf_get_all_engaged_modules (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_conf_get_in_phases_upto_and_including_post_dispatch (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_conf_get_out_flow (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_conf_get_in_fault_flow (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_conf_get_out_fault_flow (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axis2_conf_get_all_faulty_svcs (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axis2_conf_get_all_faulty_modules (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axis2_conf_get_all_svcs (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axis2_conf_get_all_svcs_to_load (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_conf_is_engaged (axis2_conf_t *conf, const axutil_env_t *env, const axutil_qname_t *module_name)
AXIS2_EXTERN struct axis2_phases_info * | axis2_conf_get_phases_info (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_phases_info (axis2_conf_t *conf, const axutil_env_t *env, struct axis2_phases_info *phases_info)
AXIS2_EXTERN axis2_status_t | axis2_conf_add_msg_recv (axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *key, struct axis2_msg_recv *msg_recv)
AXIS2_EXTERN struct axis2_msg_recv * | axis2_conf_get_msg_recv (const axis2_conf_t *conf, const axutil_env_t *env, axis2_char_t *key)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_out_phases (axis2_conf_t *conf, const axutil_env_t *env, axutil_array_list_t *out_phases)
AXIS2_EXTERN axutil_array_list_t * | axis2_conf_get_out_phases (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_in_fault_phases (axis2_conf_t *conf, const axutil_env_t *env, axutil_array_list_t *list)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_out_fault_phases (axis2_conf_t *conf, const axutil_env_t *env, axutil_array_list_t *list)
AXIS2_EXTERN axutil_hash_t * | axis2_conf_get_all_modules (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_add_module (axis2_conf_t *conf, const axutil_env_t *env, struct axis2_module_desc *module)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_default_dispatchers (axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_dispatch_phase (axis2_conf_t *conf, const axutil_env_t *env, axis2_phase_t *dispatch)
AXIS2_EXTERN const axis2_char_t * | axis2_conf_get_repo (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_repo (axis2_conf_t *conf, const axutil_env_t *env, axis2_char_t *axis2_repo)
AXIS2_EXTERN const axis2_char_t * | axis2_conf_get_axis2_xml (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_axis2_xml (axis2_conf_t *conf, const axutil_env_t *env, axis2_char_t *axis2_xml)
AXIS2_EXTERN axis2_status_t | axis2_conf_engage_module (axis2_conf_t *conf, const axutil_env_t *env, const axutil_qname_t *module_ref)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_dep_engine (axis2_conf_t *conf, const axutil_env_t *env, struct axis2_dep_engine *dep_engine)
AXIS2_EXTERN const axis2_char_t * | axis2_conf_get_default_module_version (const axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *module_name)
AXIS2_EXTERN struct axis2_module_desc * | axis2_conf_get_default_module (const axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *module_name)
AXIS2_EXTERN axis2_status_t | axis2_conf_add_default_module_version (axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *module_name, const axis2_char_t *module_version)
AXIS2_EXTERN axis2_status_t | axis2_conf_engage_module_with_version (axis2_conf_t *conf, const axutil_env_t *env, const axis2_char_t *module_name, const axis2_char_t *version_id)
AXIS2_EXTERN axis2_conf_t * | axis2_conf_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_conf_get_enable_mtom (axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_enable_mtom (axis2_conf_t *conf, const axutil_env_t *env, axis2_bool_t enable_mtom)
AXIS2_EXTERN axis2_bool_t | axis2_conf_get_axis2_flag (axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_axis2_flag (axis2_conf_t *conf, const axutil_env_t *env, axis2_bool_t axis2_flag)
AXIS2_EXTERN axis2_bool_t | axis2_conf_get_enable_security (axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_enable_security (axis2_conf_t *conf, const axutil_env_t *env, axis2_bool_t enable_security)
AXIS2_EXTERN void * | axis2_conf_get_security_context (axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_conf_set_security_context (axis2_conf_t *conf, const axutil_env_t *env, void *security_context)
AXIS2_EXTERN axutil_param_container_t * | axis2_conf_get_param_container (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axis2_desc_t * | axis2_conf_get_base (const axis2_conf_t *conf, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_conf_get_handlers (const axis2_conf_t *conf, const axutil_env_t *env)

## Detailed Description

Axis2 configuration captures all configuration information. Configuration information includes user preferences along with module and service information that is either statically configured using axis2.xml file, service.xml files and module.xml files or dynamically using the functions defined in the ops struct related to this conf struct.

## Typedef Documentation

typedef struct axis2_conf axis2_conf_t

Type name for struct axis2_conf

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_conf_add_default_module_version | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | module_name,
|  | const axis2_char_t * | module_version |
| ) |  |  |

Adds a default module version for the named module.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | module_name | name of the module
  | module_version | default version for the module

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_add_module | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | struct axis2_module_desc * | module |
| ) |  |  |

Adds a module.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | module | pointer to module struct to be added

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_add_msg_recv | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | key,
|  | struct axis2_msg_recv * | msg_recv |
| ) |  |  |

Adds message receiver with the given key.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | key | key string with which the message receive is to be added
  | msg_recv | pointer to message receiver

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_add_param | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axutil_param_t * | param |
| ) |  |  |

Adds a parameter to configuration.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | param | pointer to parameter struct to be added

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_add_svc | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | struct axis2_svc * | svc |
| ) |  |  |

Adds a service to configuration.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | svc | pointer to service, conf takes over the ownership of the service

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_add_svc_grp | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | struct axis2_svc_grp * | svc_grp |
| ) |  |  |

Adds a service group to the configuration.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | svc_grp | pointer to service group, conf takes over the ownership of the service group

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_add_transport_in | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axis2_transport_in_desc_t * | transport,
|  | const AXIS2_TRANSPORT_ENUMS | trans_enum |
| ) |  |  |

Adds a transport in description.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | transport | pointer to transport in description. conf assumes ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_add_transport_out | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axis2_transport_out_desc_t * | transport,
|  | const AXIS2_TRANSPORT_ENUMS | trans_enum |
| ) |  |  |

Adds a transport out description.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | transport | pointer to transport out description. conf assumes ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_conf_t* axis2_conf_create | ( | const axutil_env_t * | env | ) |

Creates configuration struct.

Parameters:

  | env | pointer to environment struct

Returns:
  pointer to newly created configuration

AXIS2_EXTERN axis2_status_t axis2_conf_engage_module | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axutil_qname_t * | module_ref |
| ) |  |  |

Engages the named module.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | module_ref | pointer to the QName of the module to be engaged

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_engage_module_with_version | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | module_name,
|  | const axis2_char_t * | version_id |
| ) |  |  |

Engages the module with the given version.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | module_name | name of the module to be engaged
  | version_id | version of the module to be engaged

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN void axis2_conf_free | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees conf struct.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axutil_array_list_t* axis2_conf_get_all_engaged_modules | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the list of engaged modules.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the array list of engaged modules. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_hash_t* axis2_conf_get_all_faulty_modules | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets faulty modules. A faulty module is a module that does not meet the module configuration criteria or a module with errors in the service dynamic link library.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the hash table of faulty modules. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_hash_t* axis2_conf_get_all_faulty_svcs | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets faulty services. A faulty service is a service that does not meet the service configuration criteria or a service with errors in the service dynamic link library.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the hash table of faulty services. Returns a reference, not a cloned copy

AXIS2_EXTERN axis2_transport_in_desc_t** axis2_conf_get_all_in_transports | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all in transports.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  hash table containing all transport in descriptions. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_hash_t* axis2_conf_get_all_modules | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all modules configured,

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to hash table containing the list of modules. Returns a reference, not a cloned copy

AXIS2_EXTERN axis2_transport_out_desc_t** axis2_conf_get_all_out_transports | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all out transports.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  hash table containing all transport out descriptions. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_conf_get_all_params | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all the parameters added to the configuration.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment

Returns:
  pointer to array list containing parameters if exists, else NULL. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_hash_t* axis2_conf_get_all_svc_grps | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all service group added to conf.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  pointer to hash table containing the service groups, returns a reference, not a cloned copy

AXIS2_EXTERN axutil_hash_t* axis2_conf_get_all_svcs | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all the list of services loaded into configuration.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the hash table of services. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_hash_t* axis2_conf_get_all_svcs_to_load | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all the list of services that need to be loaded into configuration at the start up of the axis2 engine.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the hash table of services. Returns a reference, not a cloned copy

AXIS2_EXTERN axis2_bool_t axis2_conf_get_axis2_flag | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

set a flag to mark conf created by axis2.xml

AXIS2_EXTERN const axis2_char_t* axis2_conf_get_axis2_xml | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the axis2.xml location.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  returns repository location as a string

AXIS2_EXTERN axis2_desc_t* axis2_conf_get_base | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets base description.

Parameters:

  | conf | pointer to message
  | env | pointer to environment struct

Returns:
  pointer to base description struct

AXIS2_EXTERN struct axis2_module_desc* axis2_conf_get_default_module | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | module_name |
| ) |  |  | `[read]`

Gets the default module reference for the named module.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | module_name | module name string

Returns:
  pointer to the module description struct corresponding to the given name

AXIS2_EXTERN const axis2_char_t* axis2_conf_get_default_module_version | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | module_name |
| ) |  |  |

Gets the default module version for the named module.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | module_name | module name string

Returns:
  default module version as a string

AXIS2_EXTERN axutil_array_list_t* axis2_conf_get_in_fault_flow | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the in fault flow. In fault flow is a list of phases invoked in the in path of execution, if some fault happens.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the array list of in fault flow phases. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_conf_get_in_phases_upto_and_including_post_dispatch | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the in phases up to and including port dispatch phase.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the array list of in phases up to post dispatch inclusive. Returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_module_desc* axis2_conf_get_module | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axutil_qname_t * | qname |
| ) |  |  | `[read]`

Gets a module with given QName.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | qname | pointer to qname

Returns:
  module description corresponding to the given qname

AXIS2_EXTERN struct axis2_msg_recv* axis2_conf_get_msg_recv | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | key |
| ) |  |  | `[read]`

Gets message receiver with the given key.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | key | key string corresponding to the message receiver to be retrieved

Returns:
  pointer to the message receiver with the given key if it exists, else null. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_conf_get_out_fault_flow | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the out fault flow. Out fault flow is a list of phases invoked in the out path of execution, if some fault happens.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the array list of out fault flow phases. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_conf_get_out_flow | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the out flow. Out flow is a list of phases invoked in the out path of execution of the engine.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the array list of out flow phases. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_conf_get_out_phases | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the list of out phases.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  pointer to array list of out phases. Returns a reference, not a cloned copy

AXIS2_EXTERN axutil_param_t* axis2_conf_get_param | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | name |
| ) |  |  |

Gets a parameter with the given name.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | name | name of the parameter to be accessed

Returns:
  pointer to parameter with the given name if exists, else NULL. Returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_phases_info* axis2_conf_get_phases_info | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets phases information struct.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  a pointer to the struct containing phases information. Returns a reference, not a cloned copy

AXIS2_EXTERN const axis2_char_t* axis2_conf_get_repo | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the repository location.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  returns repository location as a string

AXIS2_EXTERN struct axis2_svc* axis2_conf_get_svc | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | svc_name |
| ) |  |  | `[read]`

Gets a service with given name.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | svc_name | service name string

Returns:
  pointer to service with the given name if exists, else NULL. Returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_svc_grp* axis2_conf_get_svc_grp | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | svc_grp_name |
| ) |  |  | `[read]`

Gets a named service group.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | svc_grp_name | name of the service group to be accessed

Returns:
  pointer to service group with the given name if exists, else NULL. Returns a reference, not a cloned copy

AXIS2_EXTERN axis2_transport_in_desc_t* axis2_conf_get_transport_in | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const AXIS2_TRANSPORT_ENUMS | trans_enum |
| ) |  |  |

Gets in transport corresponding to the given transport QName.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | qname | QName of transport

Returns:
  pointer to transport in description if exists, else NULL. Returns a reference, not a cloned copy

AXIS2_EXTERN axis2_transport_out_desc_t* axis2_conf_get_transport_out | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const AXIS2_TRANSPORT_ENUMS | trans_enum |
| ) |  |  |

Gets out transport corresponding to the given transport QName.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment strcut
  | qname | pointer to transport qname

Returns:
  pointer to transport out description if exists, else NULL. Returns a reference, not a cloned copy

AXIS2_EXTERN axis2_bool_t axis2_conf_is_engaged | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axutil_qname_t * | module_name |
| ) |  |  |

Checks is the named module is engaged.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | module_name | pointer to QName representing the module name

Returns:
  AXIS2_TRUE if named module is engaged, else AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axis2_conf_is_param_locked | ( | const axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | param_name |
| ) |  |  |

Checks if the named parameter is locked.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | param_name | name of the parameter

Returns:
  AXIS2_TRUE if parameter is locked, else AXIS2_FALSE

AXIS2_EXTERN axis2_status_t axis2_conf_remove_svc | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | name |
| ) |  |  |

Removes the named service from configuration.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | name | name of service to be removed

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_set_axis2_xml | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | axis2_xml |
| ) |  |  |

Sets the axis2.xml location.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | axis2_xml | repository location as a string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_set_default_dispatchers | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env |
| ) |  |  |

Sets the default dispatchers.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_set_dep_engine | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | struct axis2_dep_engine * | dep_engine |
| ) |  |  |

Sets the deployment engine.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | dep_engine | pointer to dep_engine struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_set_dispatch_phase | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axis2_phase_t * | dispatch |
| ) |  |  |

Sets a custom dispatching phase.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | dispatch | pointer to phase to be dispatched

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_set_in_fault_phases | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | list |
| ) |  |  |

Sets fault phases for in path.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | list | pointer to array list of phases

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_set_out_fault_phases | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | list |
| ) |  |  |

Sets fault phases for out path.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | list | pointer to array list of phases

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_set_out_phases | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | out_phases |
| ) |  |  |

Sets the list of out phases.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | out_phases | pointer to array list of the phases. conf assumes ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_set_phases_info | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | struct axis2_phases_info * | phases_info |
| ) |  |  |

Sets phases information struct.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | phases_info | pointer to phases_info struct. conf assumes ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_conf_set_repo | ( | axis2_conf_t * | conf,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | axis2_repo |
| ) |  |  |

Sets the repository location.

Parameters:

  | conf | pointer to conf struct
  | env | pointer to environment struct
  | axis2_repo | repository location as a string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE